//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class Cines
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Cines()
        {
            this.Funciones = new HashSet<Funciones>();
            this.Peliculas = new HashSet<Peliculas>();
            this.Terminales = new HashSet<Terminales>();
            this.UsuariosCines = new HashSet<UsuariosCines>();
        }
    
        public int id { get; set; }
        public int idEmpresa { get; set; }
        public string codigoCine { get; set; }
        public string cref { get; set; }
        public string abreviatura { get; set; }
        public string nombre { get; set; }
        public string localidad { get; set; }
        public string provincia { get; set; }
        public string direccion { get; set; }
        public int minutosHabilitados { get; set; }
        public string urlImagenHeader { get; set; }
        public string emailCopiaVenta { get; set; }
        public string textoMail { get; set; }
        public string paginaWeb { get; set; }
        public string paginaWebNotificaion { get; set; }
        public string CUIT { get; set; }
        public Nullable<bool> servidorPropio { get; set; }
        public bool complejo { get; set; }
        public bool vender { get; set; }
        public bool mostrar { get; set; }
        public bool mantenimiento { get; set; }
        public int cantidadEntradas { get; set; }
        public string facebook { get; set; }
        public string twitter { get; set; }
        public string instagram { get; set; }
    
        public virtual Empresas Empresas { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Funciones> Funciones { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Peliculas> Peliculas { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Terminales> Terminales { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<UsuariosCines> UsuariosCines { get; set; }
    }
}
